# Class PaintConverter

java.lang.Object
javafx.css.StyleConverter<ParsedValue<?,Paint>, Paint>
javafx.css.converter.PaintConverter

public final class PaintConverter extends StyleConverter<ParsedValue<?,Paint>, Paint>
Converter to convert a parsed representation of a `Paint` to a `Paint`.

Since:
  9

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `PaintConverter.ImagePatternConverter`
  Converter to convert image pattern parsed values to a `Paint` object.
  `static final class`
  `PaintConverter.LinearGradientConverter`
  Converter to convert linear gradient parsed values to a `Paint` object.
  `static final class`
  `PaintConverter.RadialGradientConverter`
  Converter to convert radial gradient parsed values to a `Paint` object.
  `static final class`
  `PaintConverter.RepeatingImagePatternConverter`
  Converter to convert repeating image pattern parsed values to a `Paint` object.
  `static final class`
  `PaintConverter.SequenceConverter`
  Converter to convert a sequence of parsed values to an array of `Paint` objects.

  ### Nested classes/interfaces declared in class StyleConverter

  `StyleConverter.StringStore`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StyleConverter<ParsedValue<?,Paint>, Paint>`
  `getInstance()`
  Gets the `PaintConverter` instance.

  ### Methods declared in class StyleConverter

  `cacheValue, clearCache, convert, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static StyleConverter<ParsedValue<?,Paint>, Paint> getInstance()
    Gets the `PaintConverter` instance.
    Returns:
      the `PaintConverter` instance